Debian セキュリティ勧告

DSA-1327-1 gsambad -- 安全でない一時ファイルの扱い

報告日時:
2007-07-01
影響を受けるパッケージ:
gsambad
危険性:
あり
参考セキュリティデータベース:
Mitre の CVE 辞書: CVE-2007-2838.
詳細:

Debian Security Audit Project の Steve Kemp さんは、Samba 用の GTK+ 設定ツール gsambad が、一時ファイルを安全な方法で扱っていないことを 発見しました。この問題により、ローカルのシステムで任意のファイルを 切り詰めることができる可能性があります。

安定版 (stable) ディストリビューション (etch) では、これらの問題は バージョン 0.1.4-2etch1 で修正されています。

不安定版 (unstable) ディストリビューション (sid) では、この問題は近く 修正予定です。

直ぐに gsambad パッケージをアップグレードすることを勧めます。

修正:

Debian GNU/Linux 4.0 (etch)

ソース:
http://security.debian.org/pool/updates/main/g/gsambad/gsambad_0.1.4-2etch1.diff.gz
http://security.debian.org/pool/updates/main/g/gsambad/gsambad_0.1.4-2etch1.dsc
http://security.debian.org/pool/updates/main/g/gsambad/gsambad_0.1.4.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/g/gsambad/gsambad_0.1.4-2etch1_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/g/gsambad/gsambad_0.1.4-2etch1_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/g/gsambad/gsambad_0.1.4-2etch1_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/g/gsambad/gsambad_0.1.4-2etch1_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/g/gsambad/gsambad_0.1.4-2etch1_ia64.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/g/gsambad/gsambad_0.1.4-2etch1_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/g/gsambad/gsambad_0.1.4-2etch1_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/g/gsambad/gsambad_0.1.4-2etch1_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/g/gsambad/gsambad_0.1.4-2etch1_sparc.deb

一覧にあるファイルの MD5 チェックサムは勧告の原文にあります。